dnl
dnl This file is part of the Score-P software (http://www.score-p.org)
dnl
dnl Copyright (c) 2021,
dnl Forschungszentrum Juelich GmbH, Germany
dnl
dnl This software may be modified and distributed under the terms of
dnl a BSD-style license.  See the COPYING file in the package base
dnl directory for details.
dnl


# AFS_AM_CONDITIONAL(NAME, SHELL-CONDITION, DEFAULT)
# --------------------------------------------------
# Delegates to AM_CONDITIONAL but allows to be used conditionally as
# DEFAULT (either TRUE or FALSE) needs to be provided.
#
AC_DEFUN([AFS_AM_CONDITIONAL], [dnl
m4_case([$3],
    [TRUE], [m4_divert_text([DEFAULTS], [$1_FALSE='#'])],
    [FALSE], [m4_divert_text([DEFAULTS], [$1_TRUE='#'])],
    [m4_fatal([third argument needs to be either TRUE or FALSE])])dnl
AM_CONDITIONAL([$1], [$2])dnl
]) #AFS_AM_CONDITIONAL
